package tech.sud.mgp.auth.api;

public class SudUid {
    private final String uid;
    private final boolean success;
    private final Integer sdkErrorCode;

    public SudUid(String uid, boolean success, Integer sdkErrorCode) {
        this.uid = uid;
        this.success = success;
        this.sdkErrorCode = sdkErrorCode;
    }

    public String getUid() {
        return uid;
    }

    public boolean isSuccess() {
        return success;
    }

    public Integer getSdkErrorCode() {
        return sdkErrorCode;
    }
}
